Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Class CMSKeyTransRecipientInfoSpec

`java.lang.Object
oracle.security.crypto.cms.CMSKeyTransRecipientInfoSpec`

All Implemented Interfaces:
  CMSRecipientInfoSpec

public class CMSKeyTransRecipientInfoSpec
extends java.lang.Object
implements CMSRecipientInfoSpec

This class encapsulates a recipient key transport key management mechanism information.

Constructor Summary
`CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert)` Creates a `CMSKeyTransRecipientInfoSpec` object.
`CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert, oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID)` Create a `CMSKeyTransRecipientInfoSpec` object.
`CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert, oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID, boolean useSPKI64)` Creates a `CMSKeyTransRecipientInfoSpec` object.
`CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert, boolean useSPKI64)` Creates a `CMSKeyTransRecipientInfoSpec` object.
`CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert, byte[] spki, oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID, oracle.security.crypto.core.PublicKey recipientKey)` Create a `CMSKeyTransRecipientInfoSpec` object.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`oracle.security.crypto.cert.IssuerAndSerialNo` | `getIASN()`
`oracle.security.crypto.cert.X500Name` | `getIssuer()` Returns the recipient's certificate's issuer.
`oracle.security.crypto.core.AlgorithmIdentifier` | `getKeyEncryptionAlgID()` Returns the key transport algorithm.
`oracle.security.crypto.core.PublicKey` | `getRecipientKey()` Returns the recipient's public key.
`java.math.BigInteger` | `getSerialNo()` Returns the serial number of the recipient's certificate.
`byte[]` | `getSPKI()` Returns the subject public key identifier (SPKI).
`int` | `hashCode()` Returns a hash code value for this object.
`boolean` | `useSPKI64()` Indicates if Subject Public Key Identifier (SPKI) is being used for the recipient identification.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSKeyTransRecipientInfoSpec

    public CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert)

  Creates a `CMSKeyTransRecipientInfoSpec` object.
Parameters:
  `cert` - The recipient's X509 certificate.

### CMSKeyTransRecipientInfoSpec

    public CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert,
                                        oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID)

  Create a `CMSKeyTransRecipientInfoSpec` object.
Parameters:
  `cert` - The recipient's X509 certificate.
  `keyEncryptionAlgID` - The key transport algorithm.

### CMSKeyTransRecipientInfoSpec

    public CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert,
                                        boolean useSPKI64)

  Creates a `CMSKeyTransRecipientInfoSpec` object.
Parameters:
  `cert` - The recipient's X509 certificate.
  `useSPKI64` - Uses Subject Public Key Identifier as the recipient identifier. If `true`, uses a 64 bit SPKI; If `false`, uses a 160 bit SPKI.

### CMSKeyTransRecipientInfoSpec

    public CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert,
                                        oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID,
                                        boolean useSPKI64)

  Creates a `CMSKeyTransRecipientInfoSpec` object.
Parameters:
  `cert` - The recipient's certificate.
  `keyEncryptionAlgID` - The key transport algorithm.
  `useSPKI64` - Uses Subject Public Key Identifier as the recipient identifier. If `true`, uses a 64 bit SPKI; If `false`, uses a 160 bit SPKI.

### CMSKeyTransRecipientInfoSpec

    public CMSKeyTransRecipientInfoSpec(oracle.security.crypto.cert.X509 cert,
                                        byte[] spki,
                                        oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID,
                                        oracle.security.crypto.core.PublicKey recipientKey)

  Create a `CMSKeyTransRecipientInfoSpec` object.
Parameters:
  `cert` - The recipient's X509 certificate.
  `spki` - The subject key identifier.
  `keyEncryptionAlgID` - The key transport algorithm.

Method Detail

### hashCode

    public int hashCode()

  Returns a hash code value for this object.
  Returns:
    The hash code value.

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.

### getIASN

    public oracle.security.crypto.cert.IssuerAndSerialNo getIASN()

### getIssuer

    public oracle.security.crypto.cert.X500Name getIssuer()

  Returns the recipient's certificate's issuer.
  Returns:
    The X500Name of the certificate issuer.

### getSerialNo

    public java.math.BigInteger getSerialNo()

  Returns the serial number of the recipient's certificate.
  Returns:
    The serial number.

### getKeyEncryptionAlgID

    public oracle.security.crypto.core.AlgorithmIdentifier getKeyEncryptionAlgID()

  Returns the key transport algorithm.
  Returns:
    The algorithm identifier.

### getRecipientKey

    public oracle.security.crypto.core.PublicKey getRecipientKey()

  Returns the recipient's public key.
  Returns:
    The public key.

### getSPKI

    public byte[] getSPKI()

  Returns the subject public key identifier (SPKI).
  Returns:
    The key identifier.

### useSPKI64

    public boolean useSPKI64()

  Indicates if Subject Public Key Identifier (SPKI) is being used for the recipient identification.
  Returns:
    `true` if SPKI is being used; `false` otherwise.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.